import CryptoJS from 'crypto-js'
import * as cache from '@/utils/cache'
import plugins from '../index'


plugins.apply('readNote', (rawNote) => {
  const secretKey = cache.get('encrypt_secret')
  if (!secretKey) return rawNote;

  return CryptoJS.AES.decrypt(rawNote, secretKey).toString(CryptoJS.enc.Utf8)
})

plugins.apply('writeNote', (rawNote) => {
  const secretKey = cache.get('encrypt_secret')
  if (!secretKey) return rawNote;

  return CryptoJS.AES.encrypt(rawNote, secretKey).toString()
})
